Package com.pixelmed.dicom

# Class SetOfDicomFiles.DicomFile

java.lang.Object
com.pixelmed.dicom.SetOfDicomFiles.DicomFile

All Implemented Interfaces:
  `Comparable`

Enclosing class:
  SetOfDicomFiles

public class SetOfDicomFiles.DicomFile extends Object implements Comparable

## Constructor Summary

Constructors
Constructor
Description
`DicomFile(String fileName)`
Store a description a DICOM file by reading its metaheader, +/- entire attribute list, as necessary.
`DicomFile(String fileName, boolean keepList)`
Store a description a DICOM file by reading its metaheader, +/- entire attribute list, as necessary.
`DicomFile(String fileName, boolean keepList, boolean keepPixelData)`
Store a description a DICOM file by reading its metaheader, +/- entire attribute list, as necessary.
`DicomFile(String fileName, AttributeList list)`
`DicomFile(String fileName, AttributeList list, boolean keepList)`
`DicomFile(String fileName, String sopClassUID, String sopInstanceUID, String transferSyntaxUID)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
`AttributeList`
`getAttributeList()`
`String`
`getFileName()`
`String`
`getSOPClassUID()`
`String`
`getSOPInstanceUID()`
`String`
`getTransferSyntaxUID()`
`int`
`hashCode()`
`String`
`toString()`
Return a String representing this object's value.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DicomFile

public DicomFile(String fileName, String sopClassUID, String sopInstanceUID, String transferSyntaxUID)

### DicomFile

public DicomFile(String fileName, AttributeList list)

### DicomFile

public DicomFile(String fileName, AttributeList list, boolean keepList)

### DicomFile

public DicomFile(String fileName)

Store a description a DICOM file by reading its metaheader, +/- entire attribute list, as necessary.

Parameters:
  `fileName` - a DICOM file

### DicomFile

public DicomFile(String fileName, boolean keepList)

Store a description a DICOM file by reading its metaheader, +/- entire attribute list, as necessary.

Parameters:
  `fileName` - a DICOM file
  `keepList` - whether or not to keep the entire attribute list (including pixel data) memory resident

### DicomFile

public DicomFile(String fileName, boolean keepList, boolean keepPixelData)

Store a description a DICOM file by reading its metaheader, +/- entire attribute list, as necessary.

Parameters:
  `fileName` - a DICOM file
  `keepList` - whether or not to keep the entire attribute list (excluding pixel data unless requested) memory resident
  `keepPixelData` - whether or not to keep the pixel data memory resident as well

## Method Details

### getFileName

public String getFileName()

### getSOPClassUID

public String getSOPClassUID()

### getSOPInstanceUID

public String getSOPInstanceUID()

### getTransferSyntaxUID

public String getTransferSyntaxUID()

### getAttributeList

public AttributeList getAttributeList()

### compareTo

public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Return a String representing this object's value.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the value of this object